unit FMainGPX;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Grids, DBGrids, xmldom, DB, DBClient,
  Provider, Xmlxform;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    StatusBar1: TStatusBar;
    Button1: TButton;
    Panel2: TPanel;
    Label1: TLabel;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    Label2: TLabel;
    dsTrack: TDataSource;
    dsPoints: TDataSource;
    XMLTransformProvider: TXMLTransformProvider;
    cdsTrack: TClientDataSet;
    cdsPoints: TClientDataSet;
    cdsTrackcreator: TStringField;
    cdsTrackversion: TStringField;
    cdsTrackxsi: TStringField;
    cdsTrackname: TStringField;
    cdsTrackdesc: TStringField;
    cdsTracktrkpt: TDataSetField;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Self.Close;

end;

procedure TForm1.Button2Click(Sender: TObject);
var
  b:Boolean;
  path:string;
begin
  // Abrir el dilogo
  b := OpenDialog1.Execute;
  if (b) then begin
    // Asignar fichero de transformacin
    path := ExtractFilePath(Application.ExeName) + 'GPX_To_DP.xtr';
    XMLTransformProvider.TransformRead.TransformationFile := path;
    // Fichero XML (GPX) de ruta
    XMLTransformProvider.XMLDataFile := OpenDialog1.FileName;
    // Abrir el Dataset
    cdsTrack.Open;
  end;
end;

end.
